//商品列表 pages/goodsList/main?classtreeType=home&classtreeCode=518464173387866177
const GOODS_LIST = '/pages/goodsList/main';

const GOODS_TYPE = '/pages/class_modules/main';

//商品详情 pages/goodsDetail/main?skuCode=556114825435148386
const GOODS_DETAIL = '/pages/goodsDetail/main';

// 自定义页面 /pages/home/main?menuOpcode=index_two&tginfoMenuId=43678
const CUSTOM_LINK = "/pages/home/main";

// 活动
const ACTION_LINK = "/pages/activitylist/main";

let domain = getQueryVariable('domain');

//列表
const GOODS_TYPE_LINK = `${domain}/paas/cms-manager/index.html#/lowClassifty`;

//图片或视频  fileCtype:'video' 视频   fileCtype:'img'  图片
const GOODS_PIC_LINK = `${domain}/paas/cms-manager/index.html#/lowFileList`;

// 商品详情
const GOODS_LINK = `${domain}/paas/cms-manager/index.html#/goodsList`;

// 获取某个参数
function getQueryVariable(variable){
  let href = window.location.href;
  let query = href.substring(href.indexOf('?') + 1);
  let vars = query.split("&");
  for(var i = 0; i < vars.length; i++){
    let pair = vars[i].split("=");

    if(pair[0] == variable) {
      return pair[1];
    }
  }
  return (false)
}

// 获取全部参数
function getAllQueryVariable(){
  let href = window.location.href;
  let query = href.substring(href.indexOf('?') + 1);
  let vars = query.split("&");
  let obj = {};
  for(var i = 0; i < vars.length; i++){
    let pair = vars[i].split("=");
    obj[pair[0]] = pair[1]
  }
  return obj;
}


export {
  GOODS_LIST,
  GOODS_TYPE,
  GOODS_DETAIL,
  GOODS_LINK,
  GOODS_TYPE_LINK,
  GOODS_PIC_LINK,
  CUSTOM_LINK,
  ACTION_LINK
};
